void object_collider(VG_SPRITE * sp, int i)
{
	if(i != sp->id && vg_sprite[i].active)
	{
		switch(sp->id)
		{
			case VG_SPRITE_GOOMBA:
			{
				switch(vg_sprite[i]
				break;
			}
		}
		switch(vg_sprite[i].type)
		{
			case VG_SPRITE_GOOMBA:
			{
				if(collide(&sp->cmap[sp->state], &vg_sprite[i].cmap[vg_sprite[i].state]) && vg_sprite[i].state == 0)
				{
					sp->vx = -sp->vx;
					vg_sprite[i].vx = -vg_sprite[i].vx;
				}
				break;
			}
			case VG_SPRITE_TURTLE:
			{
				if(collide(&sp->cmap[sp->state], &vg_sprite[i].cmap[vg_sprite[i].state]) && vg_sprite[i].state == 0)
				{
					sp->vx = -sp->vx;
					vg_sprite[i].vx = -vg_sprite[i].vx;
				}
				break;
			}
		}
	}
	
	
}
